$j(document).ready(function()
{
	//"use strict";

	var passField = $j('#passNumber');
	passField.val('').focus();

	passField.focusout(function()
	{
		passField.val('').focus();
	})

	// passField.keyup(function(e)
	// {
	// 	var passNumber = passField.val();
	// 	//console.log(passNumber.length);
	// 	//console.log(e.keyCode);
	// 	if ((passNumber.length ==LS_ticket_pass_number_length  && $j('#passNumber').attr('stop')!=1 )|| e.keyCode==13)
	// 	{ $j('#passNumber').attr('stop',1);
	// 	  $j('#messageForm').html('<div id="gettingData" class="messageText">Получение данных</div>') ;
	// 	  send_ajax_request({cmd:'aspmo_ticket/getMOInfo',passNumber: passNumber.trim()});
	// 	}
	// });

	passField.on('keyup',function()
	{
		RFHIDtimeout = Date.now();
	}) ;

	$j('button#start_mo').bind('click',function()
	{
		RFHIDtimeout = false;
	}) ;

	$j("body").stopTime('check_pass_number');
	$j('body').everyTime(100,'check_pass_number',function(){
		let propusk = passField.val();
		if (typeof RFHIDtimeout == "number" && (Date.now() - RFHIDtimeout)>reading_time && propusk !== '' &&  passField.attr('stop')!=1) {
			$j('#passNumber').attr('stop',1);
			$j('#messageForm').html('<div id="gettingData" class="messageText">Получение данных</div>') ;
			send_ajax_request({cmd:"waybill/getMOInfo",passNumber:propusk}) ;
			$j('input#passNumber').val('') ;
			$j('input#passNumber').focus() ;
			RFHIDtimeout = false;
		} else if (propusk === '') {
			$j('input#passNumber').focus() ;
			RFHIDtimeout = false;
		}
	});



	function showForm(formId)
	{
		$j('.form').addClass('hidden');
		$j(formId).removeClass('hidden');
	}

	function showMessage(msgId)
	{	$j('.messageText').addClass('hidden');
		$j(msgId).removeClass('hidden');
		showForm('#messageForm');
		$j('#last_message').html('') ;
	}

	function showPrintForm(data) {
		$j('#fullName').text(data.name);
		$j('#examDate').text(data.date);
		$j('#printDate').text(data.curDate);
		showForm('#printForm');
		$j('#last_message').html('<strong>'+data.name+'</strong>' +
								 '<div>Время прохождения последнего МО</div>' +
								 '<strong>'+data.date+'</strong><br>' +
								 '<strogn>ДОПУЩЕН</strogn>' +
								 '<div>Время печати талона</div>' +
								 '<strong>'+data.curDate+'</strong>') ;
	}
});

function resetInput(timeout)
{	setTimeout(function()
	{	$j('#messageForm').html('') ;
		$j('#passNumber').focus(); // .attr('disabled',false);
		$j('#passNumber').attr('stop',0);
		$j("#printForm").addClass("hidden");
	}, timeout);
}